{ pkgs
, config
, ...
}:

let 
  bootstrapRepos = pkgs.writeScript "bootstrapRepos" ''
    set -e
    echo home-manager path is ${config.home.path}
    echo home is $HOME

    source ${pkgs.homeshick}/homeshick.sh
    type homeshick
      
    # echo Updating homeshick
    # ln -sfT ${pkgs.homeshick} "$HOMESICK_REPOS"/.homeshick
    # mv -Tf "$HOMESICK_REPOS"/{.,}homeshick
    '';

in {
  home.sessionVariables = {
    HOMESHICK_DIR="${pkgs.homeshick}";
  };

  home.activation.bootstrapRepos = config.lib.dag.entryAfter ["writeBoundary"] ''
    $DRY_RUN_CMD ${bootstrapRepos}
  '';

  nixpkgs.config = {

    packageOverrides = pkgs: with pkgs; {
      homeshick = builtins.fetchGit {
        url = "https://github.com/andsens/homeshick.git";
        ref = "master";
      };
    };
  };
}
